:root {
    --page-primary-bg: linear-gradient(90deg, #595CFF 0%, #E81CFF 100%);
    --page-secondary-bg: #021433;
    --text-grey: #536075;
    --tick-icon: url(../images/guest-images/check-icon.webp);
}

.page-primary {
    background: var(--page-primary-bg);
}

.page-secondary {
    background-color: var(--page-secondary-bg);
}

.text-theme {
    color: var(--page-secondary-bg);
}

.text-grey {
    color: var(--text-grey);
}

.muted-text {
    color: var(--page-dark);
    opacity: 0.3;
}

.button-primary {
    color: var(--white-color);
    background: var(--page-primary-bg) !important;
    font-weight: 600 !important;
    white-space: nowrap;
}

.button-primary:hover {
    color: var(--white-color) !important;
    background: var(--page-primary-bg) !important;
}

.button-secondary,
.button-secondary:hover {
    background-color: var(--page-secondary-bg) !important;
    color: var(--white-color) !important;
    font-weight: 600 !important;
    white-space: nowrap;
}

.button svg {
    animation: pulso-effect 2s infinite;
    border-radius: 100px;
}

.sections-wrapper .text-white {
    color: var(--white-color) !important;
}

.z-1 {
    z-index: 1;
    position: relative;
}

@keyframes pulso-effect {
    0% {
        -moz-box-shadow: 0 0 0 0 rgba(255, 255, 255, 0.8);
        box-shadow: 0 0 0 0 rgba(255, 255, 255, 0.8);
    }

    70% {
        -moz-box-shadow: 0 0 0 20px rgba(255, 255, 255, 0);
        box-shadow: 0 0 0 20px rgba(255, 255, 255, 0);
    }

    100% {
        -moz-box-shadow: 0 0 0 0 rgba(255, 255, 255, 0);
        box-shadow: 0 0 0 0 rgba(255, 255, 255, 0);
    }
}

h1,h2,h3,h4,h5,h6 {
    color: var(--page-secondary-bg);
}

.section-wrapper h1,
.section-wrapper .h1 {
    font-size: clamp(2.125rem, -3.4105rem + 11.5473vw, 4.25rem);
}

.section-wrapper h2,
.section-wrapper .h2 {
    font-size: clamp(1.875rem, -0.3392rem + 4.6189vw, 3.125rem);
}

.section-wrapper h3,
.section-wrapper .h3 {
    font-size: clamp(1.625rem, 1.1822rem + 0.9238vw, 1.875rem);
}

.section-wrapper h4,
.section-wrapper .h4 {
    font-size: clamp(1.375rem, 0.9322rem + 0.9238vw, 1.625rem);
}

.section-wrapper h5,
.section-wrapper .h5 {
    font-size: clamp(1.25rem, 1.0286rem + 0.4619vw, 1.375rem);
}

.section-wrapper h6,
.section-wrapper .h6 {
    font-size: clamp(1.125rem, 0.9036rem + 0.4619vw, 1.25rem);
}

p {
    font-size: clamp(0.875rem, 0.2107rem + 1.3857vw, 1.25rem);
}

/* Home Block */

.hero-intro {
    position: relative;
    background-image: url(../images/guest-images/banner-intro.webp);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.button-group {
    display: flex;
    align-items: center;
    gap: 50px;
}

.tick-list {
    display: flex;
    flex-direction: column;
    text-align: left;
    gap: 15px;
}

.tick-list li {
    font-size: 20px;
    padding: 0 0 0 34px;
    position: relative;
    color: var(--page-secondary-bg);
}

.tick-list li::before {
    content: '';
    background-image: var(--tick-icon);
    display: inline-block;
    position: absolute;
    inset: 2px auto 0 0;
    width: 24px;
    height: 24px;
    background-size: contain;
    background-repeat: no-repeat;
}

/* Counter Block */

.counter {
    background: var(--page-primary-bg);
}

.counter-grid {
    display: grid;
    gap: 20px;
    grid-template-columns: repeat(4, 1fr);
}

.counter-block {
    padding: 20px 20px;
    width: 100%;
    color: var(--white-color);
}

.pointer-text {
    padding: 5px 0 5px 30px;
    text-align: left;
    color: var(--page-secondary-bg) !important;
    position: relative;
}

.pointer-text::before {
    content: '';
    position: absolute;
    inset: 0 auto 0 0;
    width: 6px;
    height: 100%;
    background: #E81CFF;
    border-radius: 50px;
}

/* Service Block */

.overlay--intro,
.choose-intro {
    background-image: url(../images/guest-images/service-intro.webp);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
}

.overlay--intro::before {
    content: '';
    position: absolute;
    inset: auto auto 0 auto;
    background: var(--white-color);
    z-index: 0;
    width: 100%;
    height: calc(100% - 85%);
}

.service--block {
    background-color: var(--white-color);
    border: 2px solid #E0E2E6;
    border-radius: 30px;
    padding: 30px 30px;
    transition: all 0.3s;
    width: 100%;
    height: 100%;
}

.service--block:hover {
    background-color: var(--page-secondary-bg);
    border-color: var(--page-secondary-bg);
}

.service--block:hover h3,
.service--block:hover p,
.solution-block:hover h4,
.solution-block:hover p,
.solution-block.active h4,
.solution-block.active p,
.process-list li:hover h3,
.process-list li:hover p,
.industry-block:hover h4,
.choose-block:hover h4,
.choose-block:hover p {
    color: var(--white-color) !important;
}

/* Offer Block */

.sticky-column {
    position: sticky;
    top: 180px;
}

.solution-listing {
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.solution-block {
    width: 100%;
    padding: 30px 30px;
    cursor: pointer;
    border-radius: 30px;
    position: relative;
    transition: all 0.3s;
    background-color: transparent;
    border: 2px solid #E0E0E0;
}

.solution-wrap {
    display: flex;
    align-items: center;
    gap: 30px;
}

.icon--block {
    width: 70px;
    min-width: 70px;
    height: 70px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.solution-paragraph {
    max-height: 0;
    opacity: 0;
    padding-top: 0;
    overflow: hidden;
    transition:
        max-height 0.5s ease,
        opacity 0.5s ease,
        padding-top 0.5s ease;
}

.solution-block.active .solution-paragraph {
    max-height: 500px;
    opacity: 1;
    padding-top: 30px;
}

.solution-block:hover,
.solution-block.active:hover,
.solution-block.active {
    border-color: var(--page-primary-bg);
    background-color: var(--page-secondary-bg);
}

.solution-count {
    position: absolute;
    top: 60px;
    right: 30px;
    transform: translateY(-50%);
    background: linear-gradient(180deg, #EDF1F7 0%, rgba(237, 241, 247, 0) 100%);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    font-weight: bold;
    font-size: clamp(2.125rem, -4.8724rem + 19.4712vw, 6.1875rem);
}

/* Process Block */

.process-list {
    display: flex;
    flex-direction: column;
    gap: 50px;
}

.process-list li {
    display: flex;
    align-items: center;
    gap: 30px;
    padding: 50px;
    border: 1px solid rgba(224, 226, 230, 1);
    border-radius: 30px;
    width: 80%;
    position: relative;
    background: var(--white-color);
    z-index: 2;
    transition: all 0.3s;
}

.process-list li:hover,
.industry-block:hover {
    background-color: var(--page-secondary-bg);
    border-color: var(--page-secondary-bg);
}

.count-icon {
    height: 50px;
    width: 50px;
    font-weight: bold;
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--white-color);
    background: var(--page-primary-bg);
    border-radius: 50px;
}

.process-list li:nth-child(even)::before,
.process-list li:nth-child(odd)::before {
    content: '';
    width: 200px;
    height: 100%;
    position: absolute;
    top: 50%;
    left: 100%;
    border-radius: 0 80px 0 0;
    border: 2px dashed #E81CFF;
    border-left-width: 0;
    border-bottom-width: 0;
}

.process-list li:nth-child(even)::before {
    right: 100%;
    left: unset;
    border-radius: 80px 0 0 0;
    border-right-width: 0;
    border-left-width: 2px;
    border-color: #595CFF;
}

.process-list li:last-child::before {
    width: 200px;
}

.process-list li:nth-child(even) {
    margin-left: auto;
}

/* Industry Block */

.industry-block {
    border: 2px solid #E0E0E0;
    background-color: transparent;
    padding: 30px 30px;
    border-radius: 30px;
    display: flex;
    align-items: center;
    gap: 20px;
    transition: all 0.3s;
    width: 100%;
}

/* Choose Intro */

.choose-wrapper {
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.choose-block {
    display: grid;
    grid-template-columns: 100px 380px auto;
    padding: 40px 30px;
    gap: 30px;
    border: 2px solid #E0E0E0;
    background-color: var(--white-color);
    border-radius: 30px;
    transition: all 0.3s;
    align-items: center;
}

.choose-block:hover {
    border-color: var(--page-primary-bg);
    background-color: var(--page-secondary-bg);
    transform: translateY(-6px);
}

/* Cta Block */

.cta-block {
    background: var(--page-primary-bg);
    border-radius: 30px 30px;
    padding: 50px 90px;
}

/* Faq Block */

.new-faq .accordion-item {
    padding: 36px 0px !important;
}

.section-wrapper .new-faq .accordion-item h2.accordion-header button {
    font-size: 26px !important;
}

/* Responsive */

@media only screen and (max-width: 1599px) {

    .padding-left {
        --page-width: 1200px !important;
        padding-left: calc(50% -(var(--page-width) / 2) + 12px);
    }
    
    .padding-right {
        --page-width: 1200px !important;
        padding-right: calc(50% -(var(--page-width) / 2) + 12px);
    }
}

@media (width <= 1199px) {

    .process-list li:last-child::before,
    .process-list li:nth-child(even):not(:last-child)::before,
    .process-list li:nth-child(odd)::before {
        width: 140px;
    }

    .choose-block {
        grid-template-columns: 100px 220px auto;
    }
}

@media only screen and (max-width: 991px) {

    .service--block,
    .industry-block,
    .solution-block {
        padding: 20px 20px;
        border-radius: 20px;
    }

    .cta-block {
        padding: 50px 30px;
    }

    .process-list li {
        align-items: start;
        padding: 30px;
    }

    .faq-section .accordion-button {
        gap: 20px;
    }

    .button-group {
        justify-content: center;
    }

    .tick-list {
        width: fit-content;
        margin-inline: auto;
    }

    .tick-list li {
        font-size: 18px !important;
    }
}

@media only screen and (max-width: 767px) {

    .choose-block {
        grid-template-columns: 1fr;
        padding: 20px 20px;
        gap: 20px;
        border-radius: 20px;
    }

    .counter-grid {
        grid-template-columns: repeat(2, 1fr);
    }

    .button-group img {
        display: none;
    }

    .solution-wrap {
        align-items: flex-start;
        flex-direction: column;
    }

    .industry-block {
        flex-direction: column;
        text-align: center;
        justify-content: center;
    }

    .process-list li img {
        width: 120px;
    }

    .process-list li {
        padding: 20px;
    }

    .process-list {
        gap: 20px;
    }

    .process-list li:last-child::before,
    .process-list li:nth-child(even):not(:last-child)::before,
    .process-list li:nth-child(odd)::before {
        content: unset;
    }

    .process-list li {
        width: 100%;
        flex-direction: column;
        gap: 30px;
    }

    .pointer-text {
        font-size: 19px !important;
    }

    .mb-50 {
        margin-bottom: 30px !important;
    }

    .section-wrapper .new-faq .accordion-item h2.accordion-header button {
        font-size: 19px !important;
        line-height: 30px;
    }

    .solution-paragraph {
        max-height: none !important;
        overflow: visible;
        opacity: 1;
        transition: none;
        padding-top: 30px;
    }
}